OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESData

# IGESData_ViewKindEntity Class Reference

defines required type for ViewKind in directory part
that is, Single view or Multiple view
An effective ViewKind entity must inherit it and define
IsSingle (True for Single, False for List of Views),
NbViews and ViewItem (especially for a List)

`#include <IGESData_ViewKindEntity.hxx>`

Inheritance diagram for IGESData_ViewKindEntity:

[legend]

## Public Member Functions
virtual Standard_EXPORT Standard_Boolean | IsSingle () const =0
| says if "me" is a Single View (True) or a List of Views (False)
virtual Standard_EXPORT Standard_Integer | NbViews () const =0
| Returns the count of Views for a List of Views. For a Single View, may return simply 1 .
virtual Standard_EXPORT Handle_IGESData_ViewKindEntity | ViewItem (const Standard_Integer num) const =0
| Returns the View n0. <num> for a List of Views. For a Single Views, may return <me> itself .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const IGESData_ViewKindEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity. Reimplemented in IGESDraw_PerspectiveView, IGESDraw_SegmentedViewsVisible, IGESDraw_View, IGESDraw_ViewsVisible, and IGESDraw_ViewsVisibleWithAttr.

virtual Standard_EXPORT Standard_Boolean IGESData_ViewKindEntity::IsSingle | ( |  | ) | const`[pure virtual]`

| Implemented in IGESDraw_PerspectiveView, IGESDraw_SegmentedViewsVisible, IGESDraw_View, IGESDraw_ViewsVisible, and IGESDraw_ViewsVisibleWithAttr.

virtual Standard_EXPORT Standard_Integer IGESData_ViewKindEntity::NbViews | ( |  | ) | const`[pure virtual]`

| Implemented in IGESDraw_PerspectiveView, IGESDraw_SegmentedViewsVisible, IGESDraw_View, IGESDraw_ViewsVisible, and IGESDraw_ViewsVisibleWithAttr.

virtual Standard_EXPORT Handle_IGESData_ViewKindEntity IGESData_ViewKindEntity::ViewItem | ( | const Standard_Integer | num | ) | const`[pure virtual]`

| Implemented in IGESDraw_PerspectiveView, IGESDraw_SegmentedViewsVisible, IGESDraw_View, IGESDraw_ViewsVisible, and IGESDraw_ViewsVisibleWithAttr.

The documentation for this class was generated from the following file:

- IGESData_ViewKindEntity.hxx